
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #442

Ubuntu 12.04 : some tags are ignored

May 04, 2014 23:10 - Jean-Luc CECCOLI

Status: Closed Start date: May 04, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/sndfile Estimated time: 0.00 hour

Target version: 3.5.1   

Affects version: 3.4.3   

Description

Hello,

I recently installed audacious 3.4.3 as an alternative to foobar2000.

Unfortunately, some fields aren't either recognized or not correctly displayed :

- Album title : the field isn't retrieved ; instead, audacious displays the folder containing the files

- Genre : not retrieved ; nothing is displayed

- Track number : not retrieved ; nothing is displayed.

All those fields exist and are correctly displayed by foobar2000. They are embedded within the wav files and are correctly displayed,

for instance, with vlc.

Best regards,

J.-L. C.

History

#1 - May 06, 2014 09:36 - Jean-Luc CECCOLI

I just discovered that it isn't possible to update any of the fields from within Audacious.

I don't know whether it is important or not, but I use wav files, no mp3.

If I can find a file smaller than 5 MB, I send it.

#2 - May 17, 2014 00:56 - John Lindgren

- Category set to plugins/sndfile

- Status changed from New to Closed

- Target version set to 3.5.1

- % Done changed from 0 to 100

Fixed.  Once upon a time, libsndfile didn't support those fields.

https://github.com/audacious-media-player/audacious-plugins/commit/09c343d7aaee4572dd6f9d8a2449b0e6c20c95f0

#3 - May 31, 2014 15:17 - Jean-Luc CECCOLI

Hello,

Maybe this question could seem stupid, but (as I'm new on Linux) where do I find the corrected plugin ?

Regards,

J.-Luc

#4 - May 31, 2014 21:16 - John Lindgren

You would have to compile Audacious from source code (somewhat difficult) since the fix hasn't flowed down into an Ubuntu update yet.

#5 - August 11, 2014 18:01 - Jean-Luc CECCOLI
https://github.com/audacious-media-player/audacious-plugins/commit/09c343d7aaee4572dd6f9d8a2449b0e6c20c95f0


Hello,

After some (heavy and deep) searches, I downloaded everything related to 3.5-1 and did as described there :

https://help.ubuntu.com/community/CompilingEasyHowTo

for both program and plugins.

After that, I could install the software using the package manager and it actually appears as every correctly installed application, but when I click onto

its icon, nothing happens.

The manager reports installed version as 3.5-1, so I can't understand - unless 3.5-1 can't run on Ubuntu 12.04LTS ?

Can anyone give me some tip ?

Thanks,

J.-Luc

#6 - August 13, 2014 14:12 - Jean-Luc CECCOLI

Hello,

I don't think the bug may be considered as solved - nor can it be closed.

After compiling 3.4.3 with the updated sndfile.c file, it still misbehaves :

1- The Genre field is now correctly dispayed, but not the Album, nor Track number. For the Album, it still displays the folder's name, and nothing is

displayed as Track number.

2- One still can't modify anything from within the track properties box.

I thought it was a matter of Ubuntu version, so I upgraded to 14.04 after cleaning up everything related to Audacious and its plugins, but after

compiling and installing again it still behaved the same.

So I cleaned up again and downloaded 3.5.1, but there again the bugs are there. And I can't even try to do anything myself, as the sndfile.c file is

quite different from what it was in previous versions.

I'm quite sure it wouldn't change anything however, as I suspect there is some other file in cause there.

I am not a Linux expert - nor a programmer anymore, since I dropped basic in 1990 or so - so it takes me very long to achieve each step.

I know it's holliday and it may take long before you read this, but I hope this bugs can be solved some day.

Best regards,

J.-Luc
